Update Data Usage Acceptance

Update Data Usage Acceptance
Update Data Usage Acceptance.

Update Data Usage Acceptance.

Request
URI
POST
https://umip/api/v1/data_usage_acceptance
COPY
Request Body

Data Usage Acceptance. This is the first step in initialization wizard flow.

DataUsageAcceptanceRequest of type(s) application/json
Required
{
    "accepted": false
}
boolean
accepted
Required

Whether or not to accept the Data Usage terms and conditions.

Authentication
This operation uses the following authentication methods.
Responses
202

Response from testing the access token using proxy details.

Returns TestAccessTokenAndProxyResponse of type(s) application/json
{
    "test_result": false,
    "message": "string",
    "error_code": "string"
}
boolean
test_result
Optional

Whether or not connection to cloud was successful with the provided access token and proxy details (if any).

string
message
Optional

Optional message to the result

string
error_code
Optional

HTTP error status code from testing the cloud connection with the provided access token and proxy details (if any).


400

In case there is a issue with the request body format.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"accepted":"boolean"}' https://{api_host}/api/v1/data_usage_acceptance